bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: a coreutils release is imminent


From: Paul Eggert
Subject: Re: a coreutils release is imminent
Date: Thu, 22 Mar 2007 09:22:21 -0700
User-agent: Gnus/5.1008 (Gnus v5.10.8) Emacs/21.4 (gnu/linux)

Eric Blake <address@hidden> writes:

> tests/mv:
> ls: cannot access x/b: No such file or directory
> ./hard-3: line 87: test: 10133099161893214: unary operator expected
> FAIL: hard-3

That looks to me like a failure in the test suite, in that it reports
a bogus error when the real error is elsewhere.  Here is a patch for
the test-suite problem.

2007-03-22  Paul Eggert  <address@hidden>

        * tests/mv/hard-3: Check for 'ls' failure, too.
        Generate more-useful debugging output when 'ls' fails.

diff --git a/tests/mv/hard-3 b/tests/mv/hard-3
index 0ab9521..3bc60c0 100755
--- a/tests/mv/hard-3
+++ b/tests/mv/hard-3
@@ -2,7 +2,7 @@
 # Ensure that using `cp --preserve=link' to copy hard-linked arguments
 # onto existing destinations works, even when one of the link operations fails.

-# Copyright (C) 2003, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2006, 2007 Free Software Foundation, Inc.

 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -78,12 +78,12 @@ test -f x/b || fail=1
 test -f c || fail=1

 # The i-node numbers of a and c must be the same.
-ia=`ls -i a|sed 's/ a$//'`
-ic=`ls -i c|sed 's/ c$//'`
-test $ia = $ic || fail=1
+ia=`ls -i a` || fail=1; set x $ia; ia=$3
+ic=`ls -i a` || fail=1; set x $ic; ic=$3
+test "$ia" = "$ic" || fail=1

 # The i-node number of x/b must be different.
-ib=`ls -i x/b|sed 's/ x.b$//'`
-test $ia = $ib && fail=1
+ib=`ls -i x/b` || fail=1; set x $ib; ib=$3
+test "$ia" = "$ib" && fail=1

 (exit $fail); exit $fail
M ChangeLog
M tests/mv/hard-3
Committed as 914ebdd93818c7fb3b79bd774f9b165e42a97cbe




reply via email to

[Prev in Thread] Current Thread [Next in Thread]